List Payments
curl --request GET \
--url https://api.decodahealth.com/billing/payment/table \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/payment/table"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/payment/table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": {
"data": [
{
"id": "<string>",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"paymentMedium": "<string>",
"fee": 123,
"feeToPatient": 123,
"createdDate": "2023-11-07T05:31:56Z",
"refunds": [
{
"id": "<string>",
"amount": 123,
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>"
}
}
],
"isPaymentPlan": true,
"isInsurancePayment": true,
"firstName": "<string>",
"lastName": "<string>",
"patientId": "<string>",
"externalPatientId": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"comment": "<string>",
"paymentMethod": {
"id": "<string>",
"patientId": "<string>",
"rainforestPaymentMethodId": "<string>",
"brand": "<string>",
"last4": "<string>",
"expMonth": 123,
"expYear": 123,
"accountHolderType": "<string>",
"accountNumberLast4": 123,
"bankName": "<string>",
"routingNumber": 123,
"description": "<string>",
"isDefault": false,
"isArchived": false
},
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>"
},
"items": [
{
"itemName": "<string>",
"quantity": 123,
"pricePerItem": 123,
"description": "<string>",
"chargeId": "<string>",
"discountReason": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"unit": "<string>",
"itemType": "<string>"
}
],
"locationId": "<string>"
}
],
"total": 123
},
"hasInsurancePayments": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Payments
List Payments
This endpoint aggregates patient payments and insurance payments into a single table, then filters them according to the PaymentFetchParams.
For paginated requests, uses a two-phase approach to avoid statement timeouts:
- Phase 1: Lightweight query (no aggregations) for filtering, counting, and pagination
- Phase 2: Heavy query with full JSON aggregations, but only for the current page’s IDs
GET
/
billing
/
payment
/
table
List Payments
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Available options:
asc, desc Available options:
CANCELED, CREATED, FAILED, IN_REVIEW, PRESENTING, PROCESSING, SUCCEEDED ⌘I
